summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJiayi Zhao <jeff.no.zhao@gmail.com>2019-10-02 11:42:40 -0400
committerJoonas Niilola <juippis@gentoo.org>2019-10-04 08:39:30 +0300
commit58afdafd6fbaf8a6da08e13b256bf4773f92d7d1 (patch)
treeea2ebce8faa6ac965742c957fbff2050aca4b19a /media-gfx/qimgv
parentapp-antivirus/clamtk: bump to 6.02 (diff)
downloadgentoo-58afdafd6fbaf8a6da08e13b256bf4773f92d7d1.tar.gz
gentoo-58afdafd6fbaf8a6da08e13b256bf4773f92d7d1.tar.bz2
gentoo-58afdafd6fbaf8a6da08e13b256bf4773f92d7d1.zip
media-gfx/qimgv: version bump 0.8.5
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Jiayi Zhao <jeff.no.zhao@gmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'media-gfx/qimgv')
-rw-r--r--media-gfx/qimgv/Manifest1
-rw-r--r--media-gfx/qimgv/metadata.xml3
-rw-r--r--media-gfx/qimgv/qimgv-0.8.5.ebuild56
3 files changed, 60 insertions, 0 deletions
diff --git a/media-gfx/qimgv/Manifest b/media-gfx/qimgv/Manifest
index 424ee1d3f6c..b2668420d91 100644
--- a/media-gfx/qimgv/Manifest
+++ b/media-gfx/qimgv/Manifest
@@ -1 +1,2 @@
DIST qimgv-0.8.2.tar.gz 237098 BLAKE2B da71da019e87041cfa9f21592827e5a5623b2088e1349e534c437b0d5e50377980279fe99b7a18fb447c99ddb643a15c418fcfa2f261d3a559c639f560add0c4 SHA512 e80caa356cd2c7607a1d92a4ef4a79486ed504adb8ae454557e6a94d1d3ca5c023b78921e49777b1a06ca82556255d51357948281aae6a671ec01c597492a2cf
+DIST qimgv-0.8.5.tar.gz 242650 BLAKE2B 25ac2854b0c35e2288b0e770559bac5ac0152df1e73b025fe99609e3f7126ad0c5342a6f87dd34b0847b22031ca77db7b98b1ef8b9c278fcbebb395454d426a4 SHA512 f4c3df7db433eca04ed0827039a02fcbb6e0d5b2f696010351dc6238c39b7a08784780ad8d56f3701d13506dd6c64671ce361817928d7fb2bb25b88c3f3d32ce
diff --git a/media-gfx/qimgv/metadata.xml b/media-gfx/qimgv/metadata.xml
index ccef191fae1..840ab55fbe9 100644
--- a/media-gfx/qimgv/metadata.xml
+++ b/media-gfx/qimgv/metadata.xml
@@ -9,4 +9,7 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+ <use>
+ <flag name="video">Add support for gif/webm playback via libmpv</flag>
+ </use>
</pkgmetadata>
diff --git a/media-gfx/qimgv/qimgv-0.8.5.ebuild b/media-gfx/qimgv/qimgv-0.8.5.ebuild
new file mode 100644
index 00000000000..81ac18fca86
--- /dev/null
+++ b/media-gfx/qimgv/qimgv-0.8.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="A cross-platform image viewer with webm support, written in qt5"
+HOMEPAGE="https://github.com/easymodo/qimgv"
+SRC_URI="https://github.com/easymodo/qimgv/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="exif kde video"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ exif? ( media-gfx/exiv2 )
+ kde? ( kde-frameworks/kwindowsystem:5 )
+ video? ( media-video/mpv[libmpv] )
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+src_prepare() {
+ cmake-utils_src_prepare
+ # respect make.conf CXXFLAGS
+ sed -i -e '/set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -lstdc++fs -O3")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DEXIV2=$(usex exif)
+ -DKDE_SUPPORT=$(usex kde)
+ -DVIDEO_SUPPORT=$(usex video)
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}